#Include %A_ScriptDir%\MG_Trigger_LB.ahk
#Include %A_ScriptDir%\MG_Trigger_MB.ahk
#Include %A_ScriptDir%\MG_Trigger_RB.ahk
#Include %A_ScriptDir%\MG_Trigger_X1B.ahk
#Include %A_ScriptDir%\MG_Trigger_X2B.ahk
#Include %A_ScriptDir%\MG_Button_WU.ahk
#Include %A_ScriptDir%\MG_Button_WD.ahk

MG_Triggers=X1B
MG_SubTriggers=LB_X2B

MG_Interval=40
MG_Timeout=400
MG_Threshold=60
MG_LongThresholdX=800
MG_LongThresholdY=600
MG_TimeoutThreshold=12


Goto,MG_Config_End

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;Gesture rules;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MG_Gesture_X1B_LU_:
	if(MG_IsBrowser()){
		Send,{Home}
	}else if(MG_IsNotepad()){
		Send,+{F3}
	}else{
		MG_Executed--
	}
return



MG_Gesture_X1B_X2B__:
	if(MG_IsBrowser()){
		Send,x
	}else if(MG_IsNotepad()){
		Send,y
	}else{
		Send,z
	}
return


MG_Gesture_X1B_U:
	Send,{Up}
return

MG_Gesture_X1B_D:
	Send,{Down}
return

MG_Gesture_X1B_LB__LB__:
	WinMaximize
return



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;Application rules;;;;;;;;;;;;;;;;;;;;;;;;;;;;


MG_IsNotepad(){
	return MG_WClass()="Notepad"
}

MG_IsBrowser(){
	return MG_CClass()="Internet Explorer_Server"
}

MG_IsDisabledApp(){
	return (MG_Exe()="Jane2ch.exe")
}



MG_Config_end:
